Epoch: 2
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-mageia-compat
BuildRequires: /usr/bin/git boost-devel boost-filesystem-devel gcc-c++ libGL-devel libGLU-devel libogg-devel pkgconfig(tinyxml2) python3-devel
# END SourceDeps(oneline)
%filter_from_requires /^python..rocket./d
%filter_from_requires /^python..PyCEGUI./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name fife
%define version 0.4.2
%define soname %{version}
%define libname lib%{name}%{soname}
%define develname lib%{name}-devel

%define oname fifengine

Name:		fife
Version:	0.4.2
Release:	alt9_24
Summary:	Cross-platform game creation framework
Group:		Development/Tools
License:	LGPLv2+
URL:		https://www.fifengine.net/
Source0:	https://github.com/fifengine/fifengine/archive/%{version}/%{oname}-%{version}.tar.gz
# Upstream
Patch1:		0001-removed-flags-that-are-not-supported-with-swig-4.0.patch
Patch2:		0001-remove-deprecated-getchildren.patch
# Debian
Patch51:	0004-Try-to-fix-993132-cherry-picking-upstream-patches.patch
# Others
Patch101:	fifengine-missing-includes.patch
BuildRequires:	boost-complete
BuildRequires:	ccmake cmake ctest
BuildRequires:	libfifechan-devel >= 0.1.5
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	swig
Provides:	%{name}-python = %{version}-%{release}
Provides:	python3-%{name} = %{version}-%{release}
Requires:	%{libname} = %{?epoch:%epoch:}%{version}-%{release}
Source44: import.info
Requires: python3-module-%name = %EVR

%description
FIFE is a free, open-source cross-platform game engine, written in C++,
making it highly portable (it supports Linux, Windows and Mac).

This package comes with the game engine only.
The game Unknown Horizons is one of the clients using this engine.

%package -n python3-module-%name
Group: Development/Python
Summary: python library for %name
Requires: %name = %EVR

%description -n python3-module-%name
%summary

%files -n python3-module-%name
%{python3_sitelibdir}/*


%package -n %{libname}
Summary:	Shared libs for FIFE
Group:		System/Libraries
Requires:	%{name} = %{?epoch:%epoch:}%{version}-%{release}
Conflicts:	python3-module-fife < 0.3.3-7

%description -n %{libname}
Shared libs for FIFE.

%package -n %{develname}
Summary:	Development package for FIFE
Group:		Development/C++
Requires:	%{libname} = %{?epoch:%epoch:}%{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Conflicts:	python3-module-fife < 0.3.3-7

%description -n %develname
Files for development with FIFE.

%prep
%setup -q -n %{oname}-%{version}
%patch1 -p1
%patch2 -p1
%patch51 -p1
%patch101 -p1


# Fix libdir
sed -i CMakeLists.txt -e 's@\${CMAKE_INSTALL_PREFIX}/lib@\${CMAKE_INSTALL_PREFIX}/%{_lib}@'

%build

%ifarch armv7hl
# Try to avoid memory exhaustion
export CFLAGS="%optflags -g1"
export CXXFLAGS="%optflags -g1"
%endif

%{mageia_cmake} \
	-DPYTHON_SITE_PACKAGES=%{python3_sitelibdir} \
	-DPYTHON_EXECUTABLE="%__python3" \
	-Dbuild-library=ON \
	-Dbuild-python=ON \
	-Drend-camzone=ON \
	-Drend-grid=ON \
	-Duse-githash=OFF \
%ifarch armv7hl
	-DCMAKE_BUILD_TYPE=Release \
%endif

%mageia_cmake_build -j1

%install
%mageia_cmake_install

%files
%doc AUTHORS CHANGELOG.md LICENSE.md README.md

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt9_24
- update by mgaimport

* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt9_21
- rebuild to get rid of unmets

* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt8_21
- update by mgaimport

* Tue Aug 22 2023 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt8_20
- rebuild to get rid of unmets

* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt7_20
- update by mgaimport

* Fri Sep 16 2022 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt7_19
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt6_19
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt6_18
- update by mgaimport

* Wed Feb 02 2022 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt6_16
- rebuild to get rid of unmets

* Sun Jan 02 2022 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt5_16
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt5_14
- update by mgaimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt5_13
- update by mgaimport

* Sun May 16 2021 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt5_12
- rebuild to get rid of unmets

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 2:0.4.2-alt4_12
- update by mgaimport

* Wed Feb 24 2021 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt4_11
- rebuild to get rid of unmets

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt3_11
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt3_10
- update by mgaimport

* Sat Oct 03 2020 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt3_8
- rebuild to get rid of unmets

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt2_8
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt2_7
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt2_5
- update by mgaimport

* Fri Apr 19 2019 Cronbuild Service <cronbuild@altlinux.org> 2:0.4.2-alt2_4
- rebuild to get rid of unmets

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt1_4
- update by mgaimport

* Sat Jan 26 2019 Igor Vlasenko <viy@altlinux.ru> 2:0.4.2-alt1_2
- new version

* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 2:0.4.1-alt1_6
- update by mgaimport

* Wed Jun 13 2018 Igor Vlasenko <viy@altlinux.ru> 2:0.4.1-alt1_4
- new version

* Sun Jun 12 2016 Igor Vlasenko <viy@altlinux.ru> 2:0.4.0-alt1_0.201411154
- converted for ALT Linux by srpmconvert tools

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt3_18
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt3_17
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 2:0.3.3r3-alt3_12
- rebuild to get rid of unmets

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt2_12
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt2_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt2_10
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt2_6
- update to new release by fcimport

* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt2_5
- update to new release by fcimport

* Fri Dec 07 2012 Cronbuild Service <cronbuild@altlinux.org> 2:0.3.3r3-alt2_3
- rebuild to get rid of unmets

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt1_3
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt1_2
- update to new release by fcimport

* Tue Jun 12 2012 Igor Vlasenko <viy@altlinux.ru> 2:0.3.3r3-alt1_1
- update to new fc release

